com.smartgwt.client.bean

## Class BeanProperty<BeanClass>

- java.lang.Object
- - com.smartgwt.client.bean.BeanProperty<BeanClass>

- Direct Known Subclasses:
    BeanProperty1Getter, BeanProperty1Getter1Setter, BeanProperty1Setter, BeanPropertyMultiple

      public abstract class BeanProperty<BeanClass>
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanProperty(java.lang.String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract BeanMethod<BeanClass,?>` | `defaultGetter()`
    `java.lang.String` | `getName()`
    `java.lang.Object` | `getProperty(BeanClass bean)`
    `java.lang.String` | `getPropertyAsString(BeanClass bean)`
    `protected abstract BeanMethod<BeanClass,?>` | `getterForString()`
    `void` | `setProperty(BeanClass bean, java.lang.Object value)`
    `protected abstract BeanMethod<BeanClass,?>` | `setterForValue(java.lang.Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected java.lang.String name

  - ### Constructor Detail

    - #### BeanProperty

          public BeanProperty(java.lang.String name)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### defaultGetter

          protected abstract BeanMethod<BeanClass,?> defaultGetter()

    - #### getterForString

          protected abstract BeanMethod<BeanClass,?> getterForString()

    - #### setterForValue

          protected abstract BeanMethod<BeanClass,?> setterForValue(java.lang.Object value)

    - #### getProperty

          public java.lang.Object getProperty(BeanClass bean)

    - #### getPropertyAsString

          public java.lang.String getPropertyAsString(BeanClass bean)

    - #### setProperty

          public void setProperty(BeanClass bean,
                         java.lang.Object value)